Index: trunk/phpgwapi/inc/class.vfs.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.vfs.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.vfs.inc.php	(revision 5509)
@@ -1,3 +1,13 @@
 <?php
+		/*************************************************************************** 
+		* Expresso Livre                                                           * 
+		* http://www.expressolivre.org                                             * 
+		* --------------------------------------------                             * 
+		*  This program is free software; you can redistribute it and/or modify it * 
+		*  under the terms of the GNU General Public License as published by the   * 
+		*  Free Software Foundation; either version 2 of the License, or (at your  * 
+		*  option) any later version.                                              * 
+		\**************************************************************************/ 
+		
 	if (empty ($GLOBALS['phpgw_info']['server']['file_repository']))
 	{
Index: trunk/phpgwapi/inc/class.translation.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.translation.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.translation.inc.php	(revision 5509)
@@ -1,3 +1,13 @@
 <?php 
+		/*************************************************************************** 
+		* Expresso Livre                                                           * 
+		* http://www.expressolivre.org                                             * 
+		* --------------------------------------------                             * 
+		*  This program is free software; you can redistribute it and/or modify it * 
+		*  under the terms of the GNU General Public License as published by the   * 
+		*  Free Software Foundation; either version 2 of the License, or (at your  * 
+		*  option) any later version.                                              * 
+		\**************************************************************************/ 
+		
 	if (empty($GLOBALS['phpgw_info']['server']['translation_system']))
 	{
Index: trunk/phpgwapi/inc/class.xmlrpc_server_php.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.xmlrpc_server_php.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.xmlrpc_server_php.inc.php	(revision 5509)
@@ -1,3 +1,13 @@
 <?php
+		/*************************************************************************** 
+		* Expresso Livre                                                           * 
+		* http://www.expressolivre.org                                             * 
+		* --------------------------------------------                             * 
+		*  This program is free software; you can redistribute it and/or modify it * 
+		*  under the terms of the GNU General Public License as published by the   * 
+		*  Free Software Foundation; either version 2 of the License, or (at your  * 
+		*  option) any later version.                                              * 
+		\**************************************************************************/ 
+		
 // Copyright (c) 1999,2000,2001 Edd Dumbill.
 // All rights reserved.
Index: trunk/phpgwapi/inc/class.wsdl.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.wsdl.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.wsdl.inc.php	(revision 5509)
@@ -1,3 +1,13 @@
 <?php
+		/*************************************************************************** 
+		* Expresso Livre                                                           * 
+		* http://www.expressolivre.org                                             * 
+		* --------------------------------------------                             * 
+		*  This program is free software; you can redistribute it and/or modify it * 
+		*  under the terms of the GNU General Public License as published by the   * 
+		*  Free Software Foundation; either version 2 of the License, or (at your  * 
+		*  option) any later version.                                              * 
+		\**************************************************************************/ 
+		
 /*
 
Index: trunk/phpgwapi/inc/class.soap_parser.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.soap_parser.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.soap_parser.inc.php	(revision 5509)
@@ -1,4 +1,13 @@
 <?php
-
+		/*************************************************************************** 
+		* Expresso Livre                                                           * 
+		* http://www.expressolivre.org                                             * 
+		* --------------------------------------------                             * 
+		*  This program is free software; you can redistribute it and/or modify it * 
+		*  under the terms of the GNU General Public License as published by the   * 
+		*  Free Software Foundation; either version 2 of the License, or (at your  * 
+		*  option) any later version.                                              * 
+		\**************************************************************************/ 
+		
 	class soap_parser
 	{
Index: trunk/phpgwapi/inc/class.xmlrpcresp.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.xmlrpcresp.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.xmlrpcresp.inc.php	(revision 5509)
@@ -1,3 +1,13 @@
 <?php
+		/*************************************************************************** 
+		* Expresso Livre                                                           * 
+		* http://www.expressolivre.org                                             * 
+		* --------------------------------------------                             * 
+		*  This program is free software; you can redistribute it and/or modify it * 
+		*  under the terms of the GNU General Public License as published by the   * 
+		*  Free Software Foundation; either version 2 of the License, or (at your  * 
+		*  option) any later version.                                              * 
+		\**************************************************************************/ 
+		
 	// by Edd Dumbill (C) 1999-2001
 	// <edd@usefulinc.com>
Index: trunk/phpgwapi/inc/class.soapclient.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.soapclient.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.soapclient.inc.php	(revision 5509)
@@ -1,3 +1,13 @@
 <?php
+		/*************************************************************************** 
+		* Expresso Livre                                                           * 
+		* http://www.expressolivre.org                                             * 
+		* --------------------------------------------                             * 
+		*  This program is free software; you can redistribute it and/or modify it * 
+		*  under the terms of the GNU General Public License as published by the   * 
+		*  Free Software Foundation; either version 2 of the License, or (at your  * 
+		*  option) any later version.                                              * 
+		\**************************************************************************/ 
+		
 /*
 
Index: trunk/phpgwapi/inc/class.xmlrpc_client.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.xmlrpc_client.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.xmlrpc_client.inc.php	(revision 5509)
@@ -1,3 +1,13 @@
 <?php
+		/*************************************************************************** 
+		* Expresso Livre                                                           * 
+		* http://www.expressolivre.org                                             * 
+		* --------------------------------------------                             * 
+		*  This program is free software; you can redistribute it and/or modify it * 
+		*  under the terms of the GNU General Public License as published by the   * 
+		*  Free Software Foundation; either version 2 of the License, or (at your  * 
+		*  option) any later version.                                              * 
+		\**************************************************************************/ 
+		
 // Copyright (c) 1999,2000,2001 Edd Dumbill.
 // All rights reserved.
Index: trunk/phpgwapi/inc/class.soapval.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.soapval.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.soapval.inc.php	(revision 5509)
@@ -1,3 +1,13 @@
 <?php
+		/*************************************************************************** 
+		* Expresso Livre                                                           * 
+		* http://www.expressolivre.org                                             * 
+		* --------------------------------------------                             * 
+		*  This program is free software; you can redistribute it and/or modify it * 
+		*  under the terms of the GNU General Public License as published by the   * 
+		*  Free Software Foundation; either version 2 of the License, or (at your  * 
+		*  option) any later version.                                              * 
+		\**************************************************************************/ 
+		
 /*
 
Index: trunk/phpgwapi/inc/class.xmlrpcval.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.xmlrpcval.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.xmlrpcval.inc.php	(revision 5509)
@@ -1,3 +1,13 @@
 <?php
+		/*************************************************************************** 
+		* Expresso Livre                                                           * 
+		* http://www.expressolivre.org                                             * 
+		* --------------------------------------------                             * 
+		*  This program is free software; you can redistribute it and/or modify it * 
+		*  under the terms of the GNU General Public License as published by the   * 
+		*  Free Software Foundation; either version 2 of the License, or (at your  * 
+		*  option) any later version.                                              * 
+		\**************************************************************************/ 
+		
 	// by Edd Dumbill (C) 1999-2001
 	// <edd@usefulinc.com>
Index: trunk/phpgwapi/inc/class.soapmsg.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.soapmsg.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.soapmsg.inc.php	(revision 5509)
@@ -1,3 +1,13 @@
 <?php
+		/*************************************************************************** 
+		* Expresso Livre                                                           * 
+		* http://www.expressolivre.org                                             * 
+		* --------------------------------------------                             * 
+		*  This program is free software; you can redistribute it and/or modify it * 
+		*  under the terms of the GNU General Public License as published by the   * 
+		*  Free Software Foundation; either version 2 of the License, or (at your  * 
+		*  option) any later version.                                              * 
+		\**************************************************************************/ 
+		
 /*
 
Index: trunk/phpgwapi/inc/class.pdf.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.pdf.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.pdf.inc.php	(revision 5509)
@@ -1,3 +1,12 @@
 <?php
+	/*************************************************************************** 
+	* Expresso Livre                                                           * 
+	* http://www.expressolivre.org                                             * 
+	* --------------------------------------------                             * 
+	*  This program is free software; you can redistribute it and/or modify it * 
+	*  under the terms of the GNU General Public License as published by the   * 
+	*  Free Software Foundation; either version 2 of the License, or (at your  * 
+	*  option) any later version.                                              * 
+	\**************************************************************************/ 
 	/***************************************************************************\
 	* EGroupWare - pdf creation class                                           *
Index: trunk/phpgwapi/inc/class.xmlrpcmsg.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.xmlrpcmsg.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.xmlrpcmsg.inc.php	(revision 5509)
@@ -1,3 +1,13 @@
 <?php
+		/*************************************************************************** 
+		* Expresso Livre                                                           * 
+		* http://www.expressolivre.org                                             * 
+		* --------------------------------------------                             * 
+		*  This program is free software; you can redistribute it and/or modify it * 
+		*  under the terms of the GNU General Public License as published by the   * 
+		*  Free Software Foundation; either version 2 of the License, or (at your  * 
+		*  option) any later version.                                              * 
+		\**************************************************************************/ 
+		
 	// by Edd Dumbill (C) 1999-2001
 	// <edd@usefulinc.com>
Index: trunk/phpgwapi/inc/xml_functions.inc.php
===================================================================
--- trunk/phpgwapi/inc/xml_functions.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/xml_functions.inc.php	(revision 5509)
@@ -1,3 +1,13 @@
 <?php
+		/*************************************************************************** 
+		* Expresso Livre                                                           * 
+		* http://www.expressolivre.org                                             * 
+		* --------------------------------------------                             * 
+		*  This program is free software; you can redistribute it and/or modify it * 
+		*  under the terms of the GNU General Public License as published by the   * 
+		*  Free Software Foundation; either version 2 of the License, or (at your  * 
+		*  option) any later version.                                              * 
+		\**************************************************************************/ 
+		
 	// by Edd Dumbill (C) 1999-2001
 	// <edd@usefulinc.com>
Index: trunk/phpgwapi/inc/class.soap_server.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.soap_server.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.soap_server.inc.php	(revision 5509)
@@ -1,3 +1,13 @@
 <?php
+		/*************************************************************************** 
+		* Expresso Livre                                                           * 
+		* http://www.expressolivre.org                                             * 
+		* --------------------------------------------                             * 
+		*  This program is free software; you can redistribute it and/or modify it * 
+		*  under the terms of the GNU General Public License as published by the   * 
+		*  Free Software Foundation; either version 2 of the License, or (at your  * 
+		*  option) any later version.                                              * 
+		\**************************************************************************/ 
+		
 // SOAP server class
 
Index: trunk/phpgwapi/inc/class.phpmailer.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.phpmailer.inc.php	(revision 4138)
+++ trunk/phpgwapi/inc/class.phpmailer.inc.php	(revision 5509)
@@ -1,3 +1,13 @@
 <?php
+		/*************************************************************************** 
+		* Expresso Livre                                                           * 
+		* http://www.expressolivre.org                                             * 
+		* --------------------------------------------                             * 
+		*  This program is free software; you can redistribute it and/or modify it * 
+		*  under the terms of the GNU General Public License as published by the   * 
+		*  Free Software Foundation; either version 2 of the License, or (at your  * 
+		*  option) any later version.                                              * 
+		\**************************************************************************/ 
+		
 ////////////////////////////////////////////////////
 // PHPMailer - PHP email class
Index: trunk/phpgwapi/inc/class.xml.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.xml.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.xml.inc.php	(revision 5509)
@@ -1,4 +1,13 @@
 <?php
-
+		/*************************************************************************** 
+		* Expresso Livre                                                           * 
+		* http://www.expressolivre.org                                             * 
+		* --------------------------------------------                             * 
+		*  This program is free software; you can redistribute it and/or modify it * 
+		*  under the terms of the GNU General Public License as published by the   * 
+		*  Free Software Foundation; either version 2 of the License, or (at your  * 
+		*  option) any later version.                                              * 
+		\**************************************************************************/ 
+		
 //
 // +----------------------------------------------------------------------+
Index: trunk/phpgwapi/inc/class.smtp.php
===================================================================
--- trunk/phpgwapi/inc/class.smtp.php	(revision 2)
+++ trunk/phpgwapi/inc/class.smtp.php	(revision 5509)
@@ -1,3 +1,13 @@
 <?php
+		/*************************************************************************** 
+		* Expresso Livre                                                           * 
+		* http://www.expressolivre.org                                             * 
+		* --------------------------------------------                             * 
+		*  This program is free software; you can redistribute it and/or modify it * 
+		*  under the terms of the GNU General Public License as published by the   * 
+		*  Free Software Foundation; either version 2 of the License, or (at your  * 
+		*  option) any later version.                                              * 
+		\**************************************************************************/ 
+		
 ////////////////////////////////////////////////////
 // SMTP - PHP SMTP class