Index: /trunk/expressoMail1_2/index.php
===================================================================
--- /trunk/expressoMail1_2/index.php	(revision 5509)
+++ /trunk/expressoMail1_2/index.php	(revision 5512)
@@ -27,44 +27,54 @@
 	echo "<script src='js/modal/modal.js'></script>";
 	//jquery and Editor 
- 	        echo "  <link rel='Stylesheet' type='text/css' href='templates/default/expressoMail_reset.css' />
-					<script type='text/javascript' src='../prototype/plugins/jquery/jquery.min.js'></script>
-					<script type='text/javascript' src='../prototype/plugins/jquery/jquery-ui.min.js'></script>
-					<script type='text/javascript' src='../prototype/plugins/jquery/jquery-ui.custom.min.js'></script>
-					<script src='../prototype/plugins/json2/json2.js' language='javascript'></script>
-					<script src='../prototype/plugins/ejs/ejs.js' language='javascript'></script>
-					<script src='../prototype/plugins/store/jquery.store.js' language='javascript'></script>
-					<script src='../prototype/api/datalayer.js' language='javascript'></script>					
-					<script type='text/javascript' src='../prototype/plugins/scrollto/jquery.scrollTo.js'></script>
-					<script language='javascript'>DataLayer.dispatchPath = '../prototype/';</script>					
-					<script src='../library/ckeditor/ckeditor.js' language='javascript'></script> 
-					<script src='../library/ckeditor/adapters/jquery.js' language='javascript'></script> 
-					<link rel='Stylesheet' type='text/css' href='../prototype/plugins/jquery/jquery-ui.css' />					
-					<link rel='Stylesheet' type='text/css' href='../prototype/plugins/jquery/jquery-ui.custom.css' />
-					<script type='text/javascript' src='../prototype/plugins/timepicker/jquery-ui-timepicker-addon.js'></script>
-					<script type='text/javascript' src='../prototype/plugins/jquery/i18n/jquery.ui.datepicker-pt-BR.js'></script>
-					<link rel='Stylesheet' type='text/css' href='../prototype/plugins/timepicker/jquery-ui-timepicker-addon.css' />
-					<link rel='stylesheet' type='text/css' href='../prototype/plugins/contextmenu/jquery.contextMenu.css'></link>
-					<link rel='stylesheet' type='text/css' href='../prototype/plugins/zebradialog/css/zebra_dialog.css'></link>
-					<script type='text/javascript' src='../prototype/plugins/zebradialog/javascript/zebra_dialog.js'></script>
-					<script type='text/javascript' src='../prototype/plugins/datejs/date-pt-BR.js'></script>
-					<script type='text/javascript' src='../prototype/plugins/datejs/sugarpak.js'></script>
-					<script type='text/javascript' src='../prototype/plugins/datejs/parser.js'></script>
-					<script type='text/javascript' src='../prototype/plugins/dateFormat/dateFormat.js'></script>
-					<script type='text/javascript' src='../prototype/plugins/watermark/jquery.watermarkinput.js'></script>
-					<script type='text/javascript' src='../prototype/plugins/mask/jquery.maskedinput.js'></script>
-					<script type='text/javascript' src='../prototype/plugins/alphanumeric/jquery.alphanumeric.js'></script>
-					<script type='text/javascript' src='../prototype/plugins/timepicker/localization/jquery-ui-timepicker-pt-BR.js'></script>
-					<script type='text/javascript' src='../prototype/plugins/jquery-elastic/jquery.elastic.source.js'></script>
-					<script type='text/javascript' src='../prototype/modules/calendar/js/calendar.date.js'></script>
-					<script type='text/javascript' src='../prototype/modules/calendar/js/helpers.js'></script>
-					<script type='text/javascript' src='../prototype/modules/calendar/js/timezone.js'></script>
-					<script type='text/javascript' src='../prototype/modules/calendar/js/calendar.codecs.js'></script>
-					<script type='text/javascript' src='../prototype/plugins/encoder/encoder.js'></script>
-					<script type='text/javascript' src='../prototype/plugins/qtip/jquery.qtip-1.0.0-rc3.min.js'></script>
-					<script type='text/javascript' src='../prototype/plugins/contextmenu/jquery.contextMenu.js'></script>
-					<!-- <script type='text/javascript' src='../prototype/plugins/contextmenu/jquery.ui.position.js'></script> -->
-					<script language='javascript'>var CalendarBkp = Calendar;</script>
-                <script src='js/rich_text_editor.js' type='text/javascript'></script>
-                <script src='js/base64.js' type='text/javascript'></script>";
+ 	        echo '  			
+					<link rel="Stylesheet" type="text/css" href="templates/default/expressoMail_reset.css" />
+					<script type="text/javascript" src="../prototype/plugins/jquery/jquery.min.js"></script>
+					
+					<script type="text/javascript">
+						$.ajax({
+							url: "../expressoCalendar/index.php",
+							async: false});
+					
+					</script>
+					
+					
+					<script type="text/javascript" src="../prototype/plugins/jquery/jquery-ui.min.js"></script>
+					<script type="text/javascript" src="../prototype/plugins/jquery/jquery-ui.custom.min.js"></script>
+					<script src="../prototype/plugins/json2/json2.js" language="javascript"></script>
+					<script src="../prototype/plugins/ejs/ejs.js" language="javascript"></script>
+					<script src="../prototype/plugins/store/jquery.store.js" language="javascript"></script>
+					<script src="../prototype/api/datalayer.js" language="javascript"></script>					
+					<script type="text/javascript" src="../prototype/plugins/scrollto/jquery.scrollTo.js"></script>
+					<script language="javascript">DataLayer.dispatchPath = "../prototype/";</script>					
+					<script src="../library/ckeditor/ckeditor.js" language="javascript"></script> 
+					<script src="../library/ckeditor/adapters/jquery.js" language="javascript"></script> 
+					<link rel="Stylesheet" type="text/css" href="../prototype/plugins/jquery/jquery-ui.css" />					
+					<link rel="Stylesheet" type="text/css" href="../prototype/plugins/jquery/jquery-ui.custom.css" />
+					<script type="text/javascript" src="../prototype/plugins/timepicker/jquery-ui-timepicker-addon.js"></script>
+					<script type="text/javascript" src="../prototype/plugins/jquery/i18n/jquery.ui.datepicker-pt-BR.js"></script>
+					<link rel="Stylesheet" type="text/css" href="../prototype/plugins/timepicker/jquery-ui-timepicker-addon.css" />
+					<link rel="stylesheet" type="text/css" href="../prototype/plugins/contextmenu/jquery.contextMenu.css"></link>
+					<link rel="stylesheet" type="text/css" href="../prototype/plugins/zebradialog/css/zebra_dialog.css"></link>
+					<script type="text/javascript" src="../prototype/plugins/zebradialog/javascript/zebra_dialog.js"></script>
+					<script type="text/javascript" src="../prototype/plugins/datejs/date-pt-BR.js"></script>
+					<script type="text/javascript" src="../prototype/plugins/datejs/sugarpak.js"></script>
+					<script type="text/javascript" src="../prototype/plugins/datejs/parser.js"></script>
+					<script type="text/javascript" src="../prototype/plugins/dateFormat/dateFormat.js"></script>
+					<script type="text/javascript" src="../prototype/plugins/watermark/jquery.watermarkinput.js"></script>
+					<script type="text/javascript" src="../prototype/plugins/mask/jquery.maskedinput.js"></script>
+					<script type="text/javascript" src="../prototype/plugins/alphanumeric/jquery.alphanumeric.js"></script>
+					<script type="text/javascript" src="../prototype/plugins/timepicker/localization/jquery-ui-timepicker-pt-BR.js"></script>
+					<script type="text/javascript" src="../prototype/plugins/jquery-elastic/jquery.elastic.source.js"></script>
+					<script type="text/javascript" src="../prototype/modules/calendar/js/calendar.date.js"></script>
+					<script type="text/javascript" src="../prototype/modules/calendar/js/helpers.js"></script>
+					<script type="text/javascript" src="../prototype/modules/calendar/js/timezone.js"></script>
+					<script type="text/javascript" src="../prototype/modules/calendar/js/calendar.codecs.js"></script>
+					<script type="text/javascript" src="../prototype/plugins/encoder/encoder.js"></script>
+					<script type="text/javascript" src="../prototype/plugins/qtip/jquery.qtip-1.0.0-rc3.min.js"></script>
+					<script type="text/javascript" src="../prototype/plugins/contextmenu/jquery.contextMenu.js"></script>
+					<!-- <script type="text/javascript" src="../prototype/plugins/contextmenu/jquery.ui.position.js"></script> -->
+					<script language="javascript">var CalendarBkp = Calendar;</script>
+                <script src="js/rich_text_editor.js" type="text/javascript"></script>
+                <script src="js/base64.js" type="text/javascript"></script>';
  	        //---------------------------// 
 	echo '<link href="js/lert/lert.css" rel="stylesheet" type="text/css"/>';
@@ -101,5 +111,5 @@
 
 	<script src="../prototype/plugins/countdown/jquery.countdown.min.js" type="text/javascript"></script>
-	<script src="../prototype/plugins/countdown/jquery.countdown-pt-BR.js" type="text/javascript"></script>	
+	<script src="../prototype/plugins/countdown/jquery.countdown-pt-BR.js" type="text/javascript"></script>		
 	';
 	