Index: /trunk/prototype/services/iCal.php
===================================================================
--- /trunk/prototype/services/iCal.php	(revision 5514)
+++ /trunk/prototype/services/iCal.php	(revision 5523)
@@ -361,16 +361,19 @@
     
     /* Helpers */
-        private static function _getTzOffset($rTz, $oTz = null) 
+        private static function _getTzOffset($rTz, $oTz = null , $time = 'now') 
         {
             if($oTz === null) {
                 if(!is_string($oTz = date_default_timezone_get())) {
-                    return false; // A UTC timestamp was returned -- bail out!
+                       return false; // A UTC timestamp was returned -- bail out!
                 } 
             }
             $origin_dtz = new DateTimeZone(self::nomalizeTZID($oTz));
             $remote_dtz = new DateTimeZone(self::nomalizeTZID($rTz));
-            $origin_dt = new DateTime("now", $origin_dtz);
+            $origin_dt = new DateTime($time, $origin_dtz);
             $remote_dt = new DateTime("now", $remote_dtz);
+    
             $offset = $origin_dtz->getOffset($origin_dt) - $remote_dtz->getOffset($remote_dt);
+            
+            
             return $offset;
         }
@@ -379,5 +382,5 @@
         {
             $a = array(    
-                        STATUS_CONFIRMED =>  'CONFIRMED',
+                        STATUS_CONFIRMED =>  'ACCEPTED',
                         STATUS_CANCELLED =>  'CANCELLED',
                         STATUS_TENTATIVE =>   'TENTATIVE',
@@ -445,8 +448,8 @@
                 {
                     $schedulable['allDay'] = 1;
-                    $schedulable['startTime'] = self::date2timestamp($startTime['value']) - self::_getTzOffset('UTC',$schedulable['timezone']) . '000';
+                    $schedulable['startTime'] = self::date2timestamp($startTime['value']) - self::_getTzOffset('UTC',$schedulable['timezone'], '@'.self::date2timestamp($startTime['value'])) . '000';
                 }
                 elseif(isset($startTime['params']['TZID']) && !isset($startTime['value']['tz'])){/* Caso não tenha um tz na data mais exista um parametro TZID deve ser aplicado o timezone do TZID a data */
-                    $schedulable['startTime'] = self::date2timestamp($startTime['value']) - self::_getTzOffset('UTC',$startTime['params']['TZID']) . '000';      
+                    $schedulable['startTime'] = self::date2timestamp($startTime['value']) - self::_getTzOffset('UTC',$startTime['params']['TZID'],'@'.self::date2timestamp($startTime['value'])) . '000';      
 					$schedulable['allDay'] = 0;
 				}
@@ -469,7 +472,7 @@
 
                 if($endTime['params']['VALUE'] === 'DATE')
-                    $schedulable['endTime'] = self::date2timestamp($endTime['value']) - self::_getTzOffset('UTC',$schedulable['timezone']) . '000';
+                    $schedulable['endTime'] = self::date2timestamp($endTime['value']) - self::_getTzOffset('UTC',$schedulable['timezone'],'@'.self::date2timestamp($endTime['value'])) . '000';
                 else if(isset($endTime['params']['TZID']) && !isset($endTime['value']['tz'])) /* Caso não tenha um tz na data mais exista um parametro TZID deve ser aplicado o timezone do TZID a data */
-                    $schedulable['endTime'] = self::date2timestamp($endTime['value']) - self::_getTzOffset('UTC',$endTime['params']['TZID']) . '000';
+                    $schedulable['endTime'] = self::date2timestamp($endTime['value']) - self::_getTzOffset('UTC',$endTime['params']['TZID'],'@'.self::date2timestamp($endTime['value'])) . '000';
                 else
                 {
@@ -511,8 +514,8 @@
                 {
                     $schedulable['allDay'] = 1;
-                    $schedulable['startTime'] = self::date2timestamp($startTime['value']) - self::_getTzOffset('UTC',$schedulable['timezone']) . '000';
+                    $schedulable['startTime'] = self::date2timestamp($startTime['value']) - self::_getTzOffset('UTC',$schedulable['timezone'],'@'.self::date2timestamp($startTime['value'])) . '000';
                 }
                 elseif(isset($startTime['params']['TZID']) && !isset($startTime['value']['tz'])){/* Caso não tenha um tz na data mais exista um parametro TZID deve ser aplicado o timezone do TZID a data */
-                    $schedulable['startTime'] = self::date2timestamp($startTime['value']) - self::_getTzOffset('UTC',$startTime['params']['TZID']) . '000';      
+                    $schedulable['startTime'] = self::date2timestamp($startTime['value']) - self::_getTzOffset('UTC',$startTime['params']['TZID'],'@'.self::date2timestamp($startTime['value'])) . '000';      
 					$schedulable['allDay'] = 0;
 				}
@@ -535,7 +538,7 @@
 
                 if($endTime['params']['VALUE'] === 'DATE')
-                    $schedulable['endTime'] = self::date2timestamp($endTime['value']) - self::_getTzOffset('UTC',$schedulable['timezone']) . '000';
+                    $schedulable['endTime'] = self::date2timestamp($endTime['value']) - self::_getTzOffset('UTC',$schedulable['timezone'],'@'.self::date2timestamp($endTime['value'])) . '000';
                 else if(isset($endTime['params']['TZID']) && !isset($endTime['value']['tz'])) /* Caso não tenha um tz na data mais exista um parametro TZID deve ser aplicado o timezone do TZID a data */
-                    $schedulable['endTime'] = self::date2timestamp($endTime['value']) - self::_getTzOffset('UTC',$endTime['params']['TZID']) . '000';
+                    $schedulable['endTime'] = self::date2timestamp($endTime['value']) - self::_getTzOffset('UTC',$endTime['params']['TZID'],'@'.self::date2timestamp($endTime['value'])) . '000';
                 else
                 {
@@ -763,5 +766,5 @@
         {
            if($date = $component->getProperty($property , false , true ))
-                return (isset($date['params']['TZID']) && !isset($date['value']['tz'])) ? (self::date2timestamp($date['value']) - self::_getTzOffset('UTC',$date['params']['TZID'])) . '000' : self::date2timestamp($date['value']) . '000';
+                return (isset($date['params']['TZID']) && !isset($date['value']['tz'])) ? (self::date2timestamp($date['value']) - self::_getTzOffset('UTC',$date['params']['TZID'],'@'.self::date2timestamp($date['value']))) . '000' : self::date2timestamp($date['value']) . '000';
            
            return false;
Index: /trunk/prototype/config/PostgreSQL.srv
===================================================================
--- /trunk/prototype/config/PostgreSQL.srv	(revision 5399)
+++ /trunk/prototype/config/PostgreSQL.srv	(revision 5523)
@@ -4,7 +4,6 @@
 port = 5432
 dbname= expresso
-
-;conexão via socket unix 
-host= /tmp
+user=postgres
+host = /var/run/postgresql
 ;conexão via tcp
 ;host = 127.0.0.1
Index: /trunk/prototype/modules/calendar/interceptors/Notifications.php
===================================================================
--- /trunk/prototype/modules/calendar/interceptors/Notifications.php	(revision 5514)
+++ /trunk/prototype/modules/calendar/interceptors/Notifications.php	(revision 5523)
@@ -153,4 +153,8 @@
 		$data['userRequest'] = Config::me('uid');
 		
+                $ical2 = $ical;
+                $ical2['type'] = 'text/calendar'; 
+                $ical2['name'] = 'thunderbird.ics';
+                $params['attachments'][] = $ical2;
 		$params['attachments'][] = $ical;
 		$params['isHtml'] = true;                         
@@ -179,5 +183,8 @@
 		if($params['status'] == 'DECLINECOUNTER')
 			$data['status'] = 'não pode ser aceito';
-			
+		                $ical2 = $ical;
+                $ical2['type'] = 'text/calendar'; 
+                $ical2['name'] = 'thunderbird.ics';
+                $params['attachments'][] = $ical2;	
 		$params['attachments'][] = $ical;
 		$params['isHtml'] = true;                         
@@ -271,6 +278,6 @@
 			$schedulable['URI']['concept'] = 'schedulable';
 			$ical['source'] = Controller::format( array( 'service' => 'iCal' ) , array($schedulable) , array('method' => $method) );  
-			$ical['type'] = 'text/calendar';
-			$ical['name'] = 'calendar.ics';
+			$ical['type'] = 'text/plain';
+                        $ical['name'] = 'outlook.ics';
 			if($regSet)
 				Config::regSet('ical://'.$schedulable['id'].'/'.$method, $ical);
@@ -420,4 +427,8 @@
     private static function sendMail(&$data , &$ical , $to ,  &$subject , $template )
     { 
+       $ical2 = $ical;
+       $ical2['type'] = 'text/calendar'; 
+       $ical2['name'] = 'thunderbird.ics';
+       $mail['attachments'][] = $ical2;
        $mail['attachments'][] = $ical;
        $mail['isHtml'] = true;                         
Index: /trunk/expressoMail1_2/templates/default/expressomail.css
===================================================================
--- /trunk/expressoMail1_2/templates/default/expressomail.css	(revision 5497)
+++ /trunk/expressoMail1_2/templates/default/expressomail.css	(revision 5523)
@@ -9,6 +9,6 @@
     overflow:hidden;
     height:auto;
-    width:18px;
-	resize: none;
+/*    width:18px;
+	resize: none;*/
 }
 a.rich{