Index: trunk/prototype/modules/mail/css/label.css
===================================================================
--- trunk/prototype/modules/mail/css/label.css	(revision 5533)
+++ trunk/prototype/modules/mail/css/label.css	(revision 5537)
@@ -83,6 +83,15 @@
 .label-configure-win .label-list li:hover .button { display:block; }
 
-#MyMarckersList.list-label .my-labels {margin: 10px 0 0 20px; text-align:left; position: relative;}
-#MyMarckersList.list-label .title-my-labels{margin:0 0 0 5px;}
+#MyMarckersList.list-label .my-labels {	
+	margin: 10px 0 0 20px; 
+	text-align:left; 
+	position: relative; 
+}
+#MyMarckersList.list-label .title-my-labels {
+	margin:0 0 0 5px; 	
+	font-family: Lucida Grande,Lucida Sans,Arial,sans-serif; 
+	font-size:11px;
+	color:#000000; 
+}
 #MyMarckersList.list-label .status-list-labels{display:inline-block; position: absolute;}
 #MyMarckersList.list-label ul {height: 60%; margin: 5px 0 0 6px; padding:0; list-style:none; }
Index: trunk/prototype/modules/mail/js/label.js
===================================================================
--- trunk/prototype/modules/mail/js/label.js	(revision 5533)
+++ trunk/prototype/modules/mail/js/label.js	(revision 5537)
@@ -1,2 +1,30 @@
+function editLabel(){	
+	var conteudoSpan = $(this).parent().find(".text-list").text();
+	var span = $(this).parent().find(".text-list");
+	$(this).parent().trigger('click').unbind('click', configureLabel).find("span.text-list")
+	.html('<input name="edit-value-list" class="edit-value-list" type="text" value="'+conteudoSpan+'">').find("input[name='edit-value-list']").keydown(function(event){
+		event.stopPropagation();
+		$("input.edit-value-list").keyup(function () {
+			var value = $(this).val();
+			winElement.find('.input-nome').val(value);
+		}).keyup();
+		if(event.keyCode == 13){
+			$(span).html($(".label-list").find(".edit-value-list").val())
+			.parent().find('.edit').removeClass("hidden").parents("li").click(configureLabel).trigger("click");
+			winElement.find(".buttons .save-label").trigger("click");
+		}else if( event.keyCode == 27){
+			$(this).trigger("focusout");
+		}
+	}).focusout(function(){
+		$(span).html(conteudoSpan)
+		.parent().find('.edit').removeClass("hidden").parents("li").click(configureLabel);
+	}).focus();
+	$(this).addClass("hidden");
+}
+function deleteLabel(event){
+	var id = $(this).parents(".label-item").attr("class").match(/label-item-([\d]+[()a-zA-Z]*)/)[1];
+	confirmDelete(id);
+	event.stopImmediatePropagation();
+}
 function colors_suggestions(){
 	return [
@@ -15,10 +43,160 @@
   ("0" + parseInt(rgb[3],10).toString(16)).slice(-2);
 }
-
+function configureLabel(event, ui){
+	var idmarkernow = $(this).find('[name="labelItemId"]').val();
+	winElement.find('.edit-label').val(idmarkernow);
+	winElement.find('.input-nome').val($(this).find("span").text());
+	
+	var colorpicker = winElement.find('.lebals-colorpicker');
+	colorpicker.find('input[name="backgroundColor"]').val(rgb2hex($(this).css("backgroundColor")))
+	.css("background-color", $(this).css("backgroundColor")).focus().end()
+	.find('input[name="fontColor"]').val(rgb2hex($(this).css("color"))).css("background-color", $(this).css("color")).focus().end()
+	.find('input[name="borderColor"]').val(rgb2hex($(this).css("border-left-color"))).css("background-color", $(this).css("border-left-color")).focus().end()
+	.find('.preview-label-outer').css({
+		'background-color':$(this).css("backgroundColor"),
+		'color':$(this).css("color"),
+		'border-color':$(this).css("border-left-color")
+	})		
+	winElement.find(".preview-label-inner").text($(this).text());
+}
+function confirmDelete(id){
+	$.Zebra_Dialog('<strong>Deseja excluir esse marcador?</strong>', {
+		'type':     'question',
+		'title':    'Atenção',
+		'buttons': ['Sim','Não'],	
+		'onClose':  function(caption) {
+			if(caption == 'Sim'){
+				delete_label(id);
+			}
+		}
+	});	
+}			
+function delete_label(id){
+	$(".label-list li").each(function () {
+		var regex_match = $(this).attr("class").match(/label-item-([\d]+[()a-zA-Z]*)/);
+		if (regex_match && regex_match[1] && regex_match[1] == id) {	
+			$(this).remove();
+		}
+	});
+	DataLayer.remove('label', id);
+	DataLayer.commit();
+	winElement.find(".label-list li:first").trigger("click");
+	
+	if($(".label-list li").length == 0){
+		winElement.find(".label-list-container").html('<ul class="label-list"><li class="empty-item">Nenhum Marcador Cadastrado.</li></ul>');			
+	} 
+	var qtdLi = $(".label-list-container ul").find("li").not(".empty-item").length;
+	if (qtdLi == 0){
+		$(".my-labels").addClass("hidden");
+		$(".label-list-container ul").find(".empty-item").css("display","");
+		winElement.find(".buttons .save-label .ui-button-text").text('Criar');
+		$(".delete-label").button("disable");	
+				
+		winElement.find('.input-nome').val("");
+		winElement.find(".preview-label-inner").text("");
+	
+		var colorpicker = winElement.find('.lebals-colorpicker');
+		colorpicker.find('input[name="backgroundColor"]').val("#ebebeb")
+		.css("background-color", "#ebebeb").focus().end()
+		.find('input[name="fontColor"]').val("#000000").css("background-color", "#000000").focus().end()
+		.find('input[name="borderColor"]').val("#000000").css("background-color", "#000000").focus().end()
+		.find('.preview-label-outer').css({
+			'background-color':"#ebebeb",
+			'color':"#000000",
+			'border-color':"#000000"
+		});
+		$(".input-nome").keyup(function () {
+			var value = $(this).val();
+			winElement.find('.preview-label-inner').text(value);
+		}).keyup();				
+	}		
+}
+function new_label(nameLabel){
+	var labelCreated = {
+		uid: User.me.id,
+		name : nameLabel,
+		backgroundColor : winElement.find("input[name='backgroundColor']").val(),
+		fontColor : winElement.find("input[name='fontColor']").val(),
+		borderColor : winElement.find("input[name='borderColor']").val()
+	}
+	DataLayer.put('label', labelCreated);
+	
+	$(".add-label-button").removeClass("ui-icon ui-icon-plus")
+	.html('<img alt="Carregando" title="Carregando" style="margin-left:10px;" src="../prototype/modules/mail/img/loader.gif" />');
+	
+	DataLayer.commit(false, false, function(){
+
+		labels = DataLayer.get('label',{criteria:{order: 'id'}}, true);
+		newLabel = {
+			id: labels[labels.length - 1].id, 
+			name : labels[labels.length- 1].name,
+			uid: User.me.id,
+			bgColor : winElement.find("input[name='backgroundColor']").val(),
+			fontColor : winElement.find("input[name='fontColor']").val(),
+			borderColor : winElement.find("input[name='borderColor']").val()
+		};
+
+		$(".label-list-container ul").find(".empty-item").css("display","none");
+		$(".label-list-container ul")
+		.prepend(DataLayer.render("../prototype/modules/mail/templates/label_listitem.ejs", newLabel))
+		.find("li:first")
+		.fadeIn("slow").click(configureLabel);
+		
+		$("#MyMarckersList")
+		.html(
+			"<div class='my-labels'>" +
+				"<img src='../prototype/modules/mail/img/tag.png'/>" +
+				"<a class='title-my-labels' tabindex='0' role='button' aria-expanded='false' title='Meus marcadores'>Meus marcadores</a>" +
+				
+				"<span class='status-list-labels ui-icon ui-icon-triangle-1-s'></span>" +
+			"</div>"
+		)		
+		.append(DataLayer.render("../prototype/modules/mail/templates/label_list.ejs", {labels:DataLayer.get('label', true)} ))
+		.find("li.label-item").css({"background-color":"#ffffff", "border-color":"#CCCCCC", "color":"#444444"})
+		.find(".square-color").css("display","").click(function(){
+			$(this).parent(".label-item").each(function(){
+				configureLabels({selectedItem: $(this).attr('class').match(/label-item-([\d]+[()a-zA-Z]*)/)[1]});
+			});
+		});
+		$("#MyMarckersList a.title-my-labels").click(function() {
+			$("#MyMarckersList ul.label-list").toggleClass("hidden")
+			$('#MyMarckersList .status-list-labels').toggleClass("ui-icon-triangle-1-s");
+			$('#MyMarckersList .status-list-labels').toggleClass("ui-icon-triangle-1-n");
+		 });
+
+		$(".label-list-container .label-list li").not(".empty-item").click(function(){
+			$(".label-list-container .label-list li").find("img").remove();
+			$(".label-list-container .label-list li.label-item").removeClass("selected");
+			$(this).prepend("<img src='../prototype/modules/mail/img/triangle.png' style='margin: 0 5px 0 -5px;'>");
+			$(this).addClass("selected");
+		});
+		
+		$(".label-list-container .label-list li").find('.button').button()
+		.filter('.edit').button({icons:{primary:'ui-icon-pencil'}, text:false}).end()
+		.filter('.close').button({icons:{primary:'ui-icon-close'}, text:false});
+		
+		//posiciona para edição o label inserido			
+		winElement.find("ul.label-list li:first").trigger("click");			
+		winElement.find(".buttons .save-label .ui-button-text").text('Salvar');
+		$(".delete-label").button("enable");
+		
+		winElement.find('.edit').unbind("click").click(editLabel);				
+		winElement.find('.close').click(deleteLabel);
+		
+		$(".my-labels").removeClass("hidden");
+		
+		$.contextMenu( 'destroy', ".table_box tbody tr");
+		loadMenu();
+		
+		$(".add-label-button").empty()
+		.addClass("ui-icon ui-icon-plus");
+	});
+
+}
 function init_label(data){
 
 	winElement = data.window;
 
-	var configureLabel = function(event, ui){
+	/* var configureLabel = function(event, ui){
 		var idmarkernow = $(this).find('[name="labelItemId"]').val();
 		winElement.find('.edit-label').val(idmarkernow);
@@ -36,5 +214,5 @@
 		})		
 		winElement.find(".preview-label-inner").text($(this).text());
-	}
+	} */
 	//TODO Mudar quando API abstrair atualizações no cache
 	DataLayer.remove('label',false);
@@ -46,9 +224,5 @@
 		
 	}else{
-		/**
-		* Quando não existir marcadores cadastrados
-		* exibe a mensagem informando o usuário de que não há
-		* nenhum marcador cadastrado.
-		*/
+		//Exibe a mensagem informando o usuário de que não há nenhum marcador cadastrado.
 		Label_List = winElement
 		.find(".label-list-container").html('<ul class="label-list"><li class="empty-item">Nenhum Marcador Cadastrado.</li></ul>');
@@ -60,44 +234,8 @@
 	.filter('.close').button({icons:{primary:'ui-icon-close'}, text:false}); 	
 	
-	var editLabel = function(){	
-		var conteudoSpan = $(this).parent().find(".text-list").text();
-		var span = $(this).parent().find(".text-list");
-		$(this).parent().trigger('click').unbind('click', configureLabel).find("span.text-list")
-		.html('<input name="edit-value-list" class="edit-value-list" type="text" value="'+conteudoSpan+'">').find("input[name='edit-value-list']").keydown(function(event){
-			event.stopPropagation();
-			$("input.edit-value-list").keyup(function () {
-				var value = $(this).val();
-				winElement.find('.input-nome').val(value);
-			}).keyup();
-			if(event.keyCode == 13){
-				$(span).html($(".label-list").find(".edit-value-list").val())
-				.parent().find('.edit').removeClass("hidden").parents("li").click(configureLabel).trigger("click");
-				winElement.find(".buttons .save-label").trigger("click");
-			}else if( event.keyCode == 27){
-				$(this).trigger("focusout");
-			}
-		}).focusout(function(){
-			$(span).html(conteudoSpan)
-			.parent().find('.edit').removeClass("hidden").parents("li").click(configureLabel);
-		}).focus();
-		$(this).addClass("hidden");
-	}
-	
 	winElement.find('.edit').click(editLabel);
-	winElement.find('.close').click(function(event){
-		var id = $(this).parents(".label-item").attr("class").match(/label-item-([\d]+[()a-zA-Z]*)/)[1];
-		confirmDelete(id);
-		event.stopImmediatePropagation();
-	});
-	/**
-	* Testa novamente se existem marcadores cadastrados, 
-	* pois nesse momento os botões Excluir, Desfazer e Salvar já existem
-	* e os marcadores já estão listados na tela,
-	* então é possível alterar o text do Salvar para Criar,
-	* caso não exista nenhum marcador cadastrado e listado na tela de configuração dos marcadores,
-	* ou "marcar" o primeiro marcador listado com o "triangulo", caracterizando que o mesmo está selecionado.
-	*/
-	
-	//marca 'd agua e adicionar label na lista.
+	winElement.find('.close').click(deleteLabel);
+	
+	//marca 'd agua
 	winElement.find(".insert-label").Watermark(winElement.find(".insert-label").val());
 	
@@ -178,75 +316,14 @@
 	});
 	
-
-	
 	winElement.find(".add-label-button").click(function (event) {
 		$.Watermark.HideAll();
-		var name = winElement.find(".insert-label").val();
-		if(name.length >= 2){
-			DataLayer.put('label', {name: name, uid: User.me.id});
-			
-			$(".add-label-button").removeClass("ui-icon ui-icon-plus")
-			.html('<img alt="Carregando" title="Carregando" style="margin-left:10px;" src="../prototype/modules/mail/img/loader.gif" />');
-			
-			DataLayer.commit(false, false, function(){
-
-				labels = DataLayer.get('label',{criteria:{order: 'id'}}, true);
-				newLabel = {
-					id: labels[labels.length -1 ].id, 
-					name : labels[labels.length -1].name,
-					uid: User.me.id
-				};
-
-				$(".label-list-container ul").find(".empty-item").css("display","none");
-				
-				$(".label-list-container ul, .list-label ul")
-				.prepend(DataLayer.render("../prototype/modules/mail/templates/label_listitem.ejs", newLabel))
-				.find("li:first")
-				.fadeIn("slow").click(configureLabel);
-				
-				$(".label-list-container .label-list li").not(".empty-item").click(function(){
-					$(".save-label").button("disable");
-					$(".label-list-container .label-list li").find("img").remove();
-					$(".label-list-container .label-list li.label-item").removeClass("selected");
-					$(this).prepend("<img src='../prototype/modules/mail/img/triangle.png' style='margin: 0 5px 0 -5px;'>");
-					$(this).addClass("selected");
-				});
-				
-				$(".label-list-container .label-list li").find('.button').button()
-				.filter('.edit').button({icons:{primary:'ui-icon-pencil'}, text:false}).end()
-				.filter('.close').button({icons:{primary:'ui-icon-close'}, text:false});
-					
-				winElement.find('.edit').unbind("click").click(editLabel);
-				
-				winElement.find('.close').click(function(event){
-					var id = $(this).parents(".label-item").attr("class").match(/label-item-([\d]+[()a-zA-Z]*)/)[1];
-					confirmDelete(id);
-					event.stopImmediatePropagation();
-				});
-				
-				$.Watermark.ShowAll();
-				winElement.find(".insert-label").val("");
-				
-				//posiciona para edição o label inserido			
-				winElement.find("ul.label-list li:first").trigger("click");			
-				winElement.find(".buttons .save-label .ui-button-text").text('Salvar');
-				$(".delete-label").button("enable");		
-
-				//Remove o título da lista de Marcadores da tela principal do módulo
-				$(".my-labels").removeClass("hidden");
-				/**
-				* atualiza menu
-				* Remove o menu presente em cada mensagem listada em uma pasta 
-				* e carrega novamente para que os dados sejam atualizados
-				*/
-				$.contextMenu( 'destroy', ".table_box tbody tr");
-				loadMenu();
-				$(".add-label-button").empty()
-				.addClass("ui-icon ui-icon-plus");
-			});
+		var nameLabel = winElement.find(".insert-label").val();
+		if(nameLabel.length >= 2){
+			new_label(nameLabel);
+			$.Watermark.ShowAll();
+			winElement.find(".insert-label").val("");
 			} else {
 				alert("Mínimo 2 caracteres");
 			}
-
 		event.stopImmediatePropagation();
 	});
@@ -256,59 +333,5 @@
 			winElement.find(".add-label-button").trigger('click');
 	});
-
-	function confirmDelete(id){
-
-		$.Zebra_Dialog('<strong>Deseja excluir esse marcador?</strong>', {
-			'type':     'question',
-			'title':    'Atenção',
-			'buttons': ['Sim','Não'],	
-			'onClose':  function(caption) {
-				if(caption == 'Sim'){
-					deleteLabel(id);
-				}
-			}
-		});	
-	}	
-		
-	function deleteLabel(id){
-		$(".label-list li").each(function () {
-			var regex_match = $(this).attr("class").match(/label-item-([\d]+[()a-zA-Z]*)/);
-			if (regex_match && regex_match[1] && regex_match[1] == id) {	
-				$(this).remove();
-			}
-		});
-		DataLayer.remove('label', id);
-		DataLayer.commit();
-		winElement.find(".label-list li:first").trigger("click");
-		
-		if($(".label-list li").length == 0){
-			winElement.find(".label-list-container").html('<ul class="label-list"><li class="empty-item">Nenhum Marcador Cadastrado.</li></ul>');			
-		} 
-		var qtdLi = $(".label-list-container ul").find("li").not(".empty-item").length;
-		if (qtdLi == 0){
-			$(".my-labels").addClass("hidden");
-			$(".label-list-container ul").find(".empty-item").css("display","");
-			winElement.find(".buttons .save-label .ui-button-text").text('Criar');
-			$(".delete-label").button("disable");	
-					
-			winElement.find('.input-nome').val("");
-			winElement.find(".preview-label-inner").text("");
-		
-			var colorpicker = winElement.find('.lebals-colorpicker');
-			colorpicker.find('input[name="backgroundColor"]').val("#ffffff")
-			.css("background-color", "#ffffff").focus().end()
-			.find('input[name="fontColor"]').val("#444444").css("background-color", "#000000").focus().end()
-			.find('input[name="borderColor"]').val("#cccccc").css("background-color", "#000000").focus().end()
-			.find('.preview-label-outer').css({
-				'background-color':"#ffffff",
-				'color':"#444444",
-				'border-color':"#cccccc"
-			});
-			$(".input-nome").keyup(function () {
-				var value = $(this).val();
-				winElement.find('.preview-label-inner').text(value);
-			}).keyup();				
-		}		
-	}
+	
 	//excluir marcador {deve ser para o botão grande na janela de edição e nao o pequeno da lista}
 	winElement.find(".buttons .delete-label").click(function(event){
@@ -317,4 +340,5 @@
 		event.stopImmediatePropagation();
 	});
+	
 	$(".label-list-container .label-list li").not(".empty-item").click(function(){
 		$(".label-list-container .label-list li").find("img").remove();
@@ -383,6 +407,7 @@
 				 });
 	 
+				
+				winElement.find(".insert-label").val("");
 				$.Watermark.ShowAll();
-				winElement.find(".insert-label").val("");
 				$(".label-list-container .label-list li").find('.button').button()
 					.filter('.edit').button({icons:{primary:'ui-icon-pencil'}, text:false}).end()
@@ -390,92 +415,13 @@
 				winElement.find('.edit').unbind("click").click(editLabel);
 				
-				winElement.find('.close').click(function(event){
-					var id = $(this).parents(".label-item").attr("class").match(/label-item-([\d]+[()a-zA-Z]*)/)[1];
-					confirmDelete(id);
-					event.stopImmediatePropagation();
-				});
+				winElement.find('.close').click(deleteLabel);
 			});
 		// criar marcador
 		} else{
 			var nameLabel = winElement.find(".input-nome").val();
-			var labelCreated = {
-				uid: User.me.id,
-				name : nameLabel,
-				backgroundColor : winElement.find("input[name='backgroundColor']").val(),
-				fontColor : winElement.find("input[name='fontColor']").val(),
-				borderColor : winElement.find("input[name='borderColor']").val()
-			}
-			
 			if(nameLabel.length >= 2){
-				DataLayer.put('label', labelCreated);
-				DataLayer.commit(false, false, function(){
-
-					labels = DataLayer.get('label',{criteria:{order: 'id'}}, true);
-					newLabel = {
-						id: labels[labels.length - 1].id, 
-						name : labels[labels.length- 1].name,
-						uid: User.me.id,
-						bgColor : winElement.find("input[name='backgroundColor']").val(),
-						fontColor : winElement.find("input[name='fontColor']").val(),
-						borderColor : winElement.find("input[name='borderColor']").val()
-					};
-
-					$(".label-list-container ul").find(".empty-item").css("display","none");
-					$(".label-list-container ul")
-					.prepend(DataLayer.render("../prototype/modules/mail/templates/label_listitem.ejs", newLabel))
-					.find("li:first")
-					.fadeIn("slow").click(configureLabel);
-					
-					$("#MyMarckersList")
-					.html(
-						"<div class='my-labels'>" +
-							"<img src='../prototype/modules/mail/img/tag.png'/>" +
-							"<a class='title-my-labels' tabindex='0' role='button' aria-expanded='false' title='Meus marcadores'>Meus marcadores</a>" +
-							
-							"<span class='status-list-labels ui-icon ui-icon-triangle-1-s'></span>" +
-						"</div>"
-					)
-					
-					.append(DataLayer.render("../prototype/modules/mail/templates/label_list.ejs", {labels:DataLayer.get('label', true)} ))
-					.find("li.label-item").css({"background-color":"#ffffff", "border-color":"#CCCCCC", "color":"#444444"})
-					.find(".square-color").css("display","").click(function(){
-						$(this).parent(".label-item").each(function(){
-							configureLabels({selectedItem: $(this).attr('class').match(/label-item-([\d]+[()a-zA-Z]*)/)[1]});
-						});
-					});
-					$("#MyMarckersList a.title-my-labels").click(function() {
-						$("#MyMarckersList ul.label-list").toggleClass("hidden")
-						$('#MyMarckersList .status-list-labels').toggleClass("ui-icon-triangle-1-s");
-						$('#MyMarckersList .status-list-labels').toggleClass("ui-icon-triangle-1-n");
-					 });
-	 
-					$(".label-list-container .label-list li").not(".empty-item").click(function(){
-						$(".label-list-container .label-list li").find("img").remove();
-						$(".label-list-container .label-list li.label-item").removeClass("selected");
-						$(this).prepend("<img src='../prototype/modules/mail/img/triangle.png' style='margin: 0 5px 0 -5px;'>");
-						$(this).addClass("selected");
-					});
-					
-					$(".label-list-container .label-list li").find('.button').button()
-					.filter('.edit').button({icons:{primary:'ui-icon-pencil'}, text:false}).end()
-					.filter('.close').button({icons:{primary:'ui-icon-close'}, text:false});
-					$.Watermark.ShowAll();
-					winElement.find(".insert-label").val("");
-					
-					//posiciona para edição o label inserido			
-					winElement.find("ul.label-list li:first").trigger("click");			
-					winElement.find(".buttons .save-label .ui-button-text").text('Salvar');
-					$(".delete-label").button("enable");
-					
-					winElement.find('.edit').unbind("click").click(editLabel);
-				
-					winElement.find('.close').click(function(event){
-						var id = $(this).parents(".label-item").attr("class").match(/label-item-([\d]+[()a-zA-Z]*)/)[1];
-						confirmDelete(id);
-						event.stopImmediatePropagation();
-					});
-					
-					$(".my-labels").removeClass("hidden");
-				});
+				new_label(nameLabel);				
+				winElement.find(".insert-label").val("");
+				$.Watermark.ShowAll();				
 			} else {
 				alert("Mínimo 2 caracteres");
@@ -483,6 +429,5 @@
 		}		
 		/**
-		* atualiza menu
-		* Remove o menu presente em cada mensagem listada em uma pasta 
+		* Atualiza menu remove o menu presente em cada mensagem listada em uma pasta 
 		* e carrega novamente para que os dados sejam atualizados
 		*/
@@ -517,5 +462,4 @@
 			}
 		});
-
 	});	
 	
@@ -523,6 +467,5 @@
 				var value = $(this).val();
 				winElement.find('.preview-label-inner').text(value);
-	}).keyup();
-	
+	}).keyup();	
 }
 
@@ -530,4 +473,4 @@
  * TODO:
  * * Qunado excluir um marcador deve ser removido das mensagens sem que seja necessario atualizar o Expresso.
- * * Fazer abrir a configuração do Marcador pela lista do modulo principal apenas quando criado um marcador sem clicar no botão "salvar".
+ * *
  */
Index: trunk/prototype/modules/mail/templates/label_configure.ejs
===================================================================
--- trunk/prototype/modules/mail/templates/label_configure.ejs	(revision 5533)
+++ trunk/prototype/modules/mail/templates/label_configure.ejs	(revision 5537)
@@ -31,13 +31,13 @@
 			<div class="form-item">
 			  <label for="backgroundColor" class="label-cor">Cor do marcador:</label>
-			  <input type="text" name="backgroundColor" id="background" class="colorwell" value="#ffffff" />
+			  <input type="text" name="backgroundColor" id="background" class="colorwell" value="#ebebeb" />
 			</div>
 			<div class="form-item">
 			  <label for="fontColor" class="label-cor">Cor do texto:</label>
-			  <input type="text" name="fontColor" class="colorwell" value="#444444" />
+			  <input type="text" name="fontColor" class="colorwell" value="#000000" />
 			</div>
 			<div class="form-item">
 			  <label for="borderColor" class="label-cor">Cor da borda:</label>
-			  <input type="text" name="borderColor" class="colorwell" value="#ccccccc" />
+			  <input type="text" name="borderColor" class="colorwell" value="#000000" />
 			</div>			  
 			<div class="preview-label-outer">
Index: trunk/prototype/modules/mail/templates/label_listitem.ejs
===================================================================
--- trunk/prototype/modules/mail/templates/label_listitem.ejs	(revision 5533)
+++ trunk/prototype/modules/mail/templates/label_listitem.ejs	(revision 5537)
@@ -1,5 +1,5 @@
-	<li class="label-item label-item-<%= data.id%>" style="background: <%= (data.bgColor) ? data.bgColor : '#ffffff' %>; 
-		color: <%= (data.fontColor) ? data.fontColor : '#444444' %>;
-		border: 1px solid <%= (data.borderColor) ? data.borderColor : '#cccccc' %>;">		
+	<li class="label-item label-item-<%= data.id%>" style="background: <%= (data.bgColor) ? data.bgColor : '#ebebeb' %>; 
+		color: <%= (data.fontColor) ? data.fontColor : '#000000' %>;
+		border: 1px solid <%= (data.borderColor) ? data.borderColor : '#000000' %>;">	
 		
 		<input type="hidden" value="<%= data.id%>" name="labelItemId" class="id-item-list" />
Index: trunk/prototype/modules/mail/templates/label_list.ejs
===================================================================
--- trunk/prototype/modules/mail/templates/label_list.ejs	(revision 5533)
+++ trunk/prototype/modules/mail/templates/label_list.ejs	(revision 5537)
@@ -3,7 +3,7 @@
 			
 			<li class="label-item label-item-<%= (data.labels[i].id) ? data.labels[i].id : ''%>" style="
-				background: <%= (data.labels[i].backgroundColor) ? data.labels[i].backgroundColor : '#ffffff' %>;
+				background: <%= (data.labels[i].backgroundColor) ? data.labels[i].backgroundColor : '#ebebeb' %>;
 				color: <%= (data.labels[i].fontColor) ? data.labels[i].fontColor : '#000000' %>;
-				border-color: <%= (data.labels[i].borderColor) ? data.labels[i].borderColor : '#CCCCCC' %>;">
+				border-color: <%= (data.labels[i].borderColor) ? data.labels[i].borderColor : '#000000' %>;">
 			   
 				<span class="text-list"><%= (data.labels[i].name) ? data.labels[i].name : '' %></span>