Index: trunk/prototype/modules/filters/filters.js
===================================================================
--- trunk/prototype/modules/filters/filters.js	(revision 5539)
+++ trunk/prototype/modules/filters/filters.js	(revision 5542)
@@ -219,15 +219,28 @@
 /*
 var raster = function( html ){
+	//alert("método raster\nParâmetro a seguir");
+	//alert(html);
     container = $('body.expressomail-module-container').append( html ).find(".expresso-window-container");
+    //alert("método raster 1");
+	//alert(container);
 	list_container = container.find(".rule-list-container");
+    //alert("método raster 2");
 	details_container = container.find(".rule-details-container");
+    //alert("método raster 3");
 	vacation_container = container.find(".vacation-details-container");
+    //alert("método raster 4");
 	form = container.find("form");
     
+	//alert("método raster 5");
     criterias = details_container.find( 'fieldset input[name="criteriaType[]"]' );
+    //alert("método raster 6");
 	actions = details_container.find( 'fieldset input[name="actionType[]"]' );
+    //alert("método raster 7");
 	nameObj = details_container.find( 'input[name="name"]' );
+    //alert("método raster 8");
 	isExact = details_container.find( 'input[name="isExact"]' );
+	//alert("método raster 9");
     formatter();
+    //alert("método raster 10");
     container = container.dialog({
 	    width:700,
@@ -250,10 +263,13 @@
 	    autoOpen: false
     });
+    //alert("método raster 11");
     details_container.accordion({autoHeight: false});
     
+	//alert("método raster 12");
     DataLayer.render( BASE_PATH + 'api/templates/folderselect.ejs', 'folder:select', function( html ){
 	  details_container.find(".select-folderlist").append( html );
     });
 
+	//alert("método raster 13");
     container.find(".button").button()
     
@@ -283,4 +299,5 @@
 
     });
+	//alert("método raster 14");
     details_container.find( ".menu-container" )
 
@@ -421,4 +438,5 @@
 		  
     });
+    //alert("método raster 15");
     vacation_container.find( ".menu-container" )
 	.find(".button.back").click(function(event){
@@ -438,4 +456,5 @@
 		return( false );
 	}); 
+	//alert("método raster 16");	
 }
 
@@ -603,4 +622,5 @@
 //var vamo_ver = DataLayer.render(BASE_PATH + 'modules/filters/filters.ejs', {});
 //raster(vamo_ver);
+//alert(vamo_ver);
 var v = DataLayer.render( BASE_PATH + 'modules/filters/filters.ejs', {});
 raster(v);
@@ -615,4 +635,6 @@
 DataLayer.render( BASE_PATH + 'modules/filters/filter-list.ejs', 'filter:detail', reraster );
 //var v = DataLayer.get("filter:detail");
+
+//alert(v);
 // ------------------------------------------------------------
 // ------------------------------------------------------------    
@@ -683,27 +705,39 @@
 				}	
 			}
-			
-			DataLayer.render( BASE_PATH + 'modules/filters/edit-filter.ejs', {},function(html){
+			DataLayer.render( BASE_PATH + 'modules/filters/edit-filter.ejs', {folders : DataLayer.get("folder", true)},function(html){
 				var details_container = $(".expresso-window-filters").html(html);
-				form = container.find("form");
-				criterias = details_container.find( 'fieldset input[name="criteriaType[]"]' );
-				actions = details_container.find( 'fieldset input[name="actionType[]"]' );
-				nameObj = details_container.find( 'input[name="name"]' );
-				isExact = details_container.find( 'input[name="isExact"]' );
-				showDetails(filters);
-				var accord = $(".rule-details-container").accordion({autoHeight: false});
-				$(".button").button().filter(".forth").click(function(){
-					accord.accordion('activate',1);
-				}).end().filter(".back").click(function(){
-					accord.accordion('activate',0);
-				}).end().filter(".cancel").click(function(){
-					DataLayer.render( BASE_PATH + 'modules/filters/init.ejs', {},list_filters);
-				}).end().filter(".submit").click(function(){
-					if(nameObj)
-						nameObj.attr("disabled", "false");
-					$(this).submit();
-					DataLayer.commit( 'filter' );
-					DataLayer.render( BASE_PATH + 'modules/filters/init.ejs', {},list_filters);
-				});
+				if(filters.name != "vacation"){
+					form = container.find("form");
+					criterias = details_container.find( 'fieldset input[name="criteriaType[]"]' );
+					actions = details_container.find( 'fieldset input[name="actionType[]"]' );
+					nameObj = details_container.find( 'input[name="name"]' );
+					isExact = details_container.find( 'input[name="isExact"]' );
+					showDetails(filters);
+					var accord = $(".rule-details-container").accordion({autoHeight: false});
+					$(".button").button().filter(".forth").click(function(){
+						accord.accordion('activate',1);
+					}).end().filter(".back").click(function(){
+						accord.accordion('activate',0);
+					}).end().filter(".cancel").click(function(){
+						DataLayer.render( BASE_PATH + 'modules/filters/init.ejs', {},list_filters);
+					}).end().filter(".submit").click(function(){
+						if(nameObj)
+							nameObj.attr("disabled", "false");
+						$(this).submit();
+						DataLayer.commit( 'filter' );
+						DataLayer.render( BASE_PATH + 'modules/filters/init.ejs', {},list_filters);
+					});
+				}else{
+					$(".vacation-details-container").removeClass("hidden");
+					$(".rule-details-container").addClass("hidden");
+					$(".button").button().filter(".back").click(function(){
+						DataLayer.render( BASE_PATH + 'modules/filters/init.ejs', {},list_filters);
+					}).end().filter(".submit").click(function(){
+						$(this).submit();
+						DataLayer.commit( 'filter' );
+						DataLayer.render( BASE_PATH + 'modules/filters/init.ejs', {},list_filters);
+					});
+					details_container.find('[name="vacation"]').val(filters.actions[0].parameter);
+				}
 			});
 		}).end()
@@ -749,5 +783,5 @@
 		$(".button.add:first").click(function(){
 			$(".dialog-head-buttonpane").addClass("hidden");
-			DataLayer.render( BASE_PATH + 'modules/filters/edit-filter.ejs', {},function(html){
+			DataLayer.render( BASE_PATH + 'modules/filters/edit-filter.ejs', {folders : DataLayer.get("folder", true)},function(html){
 				$(".expresso-window-filters").html(html);
 				var accord = $(".rule-details-container").accordion({autoHeight: false});
@@ -768,5 +802,5 @@
 		$(".button.add.vacation").click(function(){
 			$(".dialog-head-buttonpane").addClass("hidden");
-			DataLayer.render( BASE_PATH + 'modules/filters/edit-filter.ejs', {},function(html){
+			DataLayer.render( BASE_PATH + 'modules/filters/edit-filter.ejs', {folders : DataLayer.get("folder", true)},function(html){
 				$(".expresso-window-filters").html(html);
 				$(".vacation-details-container").removeClass("hidden");
Index: trunk/prototype/modules/filters/edit-filter.ejs
===================================================================
--- trunk/prototype/modules/filters/edit-filter.ejs	(revision 5539)
+++ trunk/prototype/modules/filters/edit-filter.ejs	(revision 5542)
@@ -96,7 +96,15 @@
 				<input type="radio" name="actionType[]" value="fileinto" />
 				<label>Arquivar na pasta</label>
+				<!-- 
+				Aguardando o problema do form do DataLayer ser resolvido.
+				-->
 				<select name="valueFileInto">
-					<option value="INBOX">Caixa de entrada</option>
-					<option value="INBOX/Sent">Enviados</option>
+					<%for(var i=0; i < data.folders.length; i++){ 
+						if(/^INBOX/.test(data.folders[i].id)){ %>
+							<option value="<%= data.folders[i].id%>"><%= data.folders[i].commonName%></option>
+					<%
+						}
+					}
+					%>
 				</select>
 				<!-- <input type="text" name="actionParameter[]" /> --> 
@@ -110,4 +118,7 @@
 				<input type="radio" name="actionType[]" value="setflag" />
 				<label>Marcar como</label>
+				<!--
+				Aguardando o problema do form do DataLayer ser resolvido.
+				-->
 				<select name="valueSetFlag">
 					<option value="flagged">Importante</option>