Index: /trunk/prototype/modules/mail/templates/label_configure.ejs
===================================================================
--- /trunk/prototype/modules/mail/templates/label_configure.ejs	(revision 5537)
+++ /trunk/prototype/modules/mail/templates/label_configure.ejs	(revision 5544)
@@ -3,9 +3,9 @@
 
 <div class="acc-list list-label-content">
-	<h3>Meus marcadores</h3>
+	<h3><%= get_lang("My Markers")%></h3>
 		<div class="attendee-list-add">
 			<fieldset class="add-attendee-search search-field ui-corner-all">
 					<span class="ui-icon ui-icon-plus add-label-button"></span>
-					<input class="insert-label" type="text" value="Adicionar Marcador" maxlength="15" >
+					<input class="insert-label" type="text" value="<%=get_lang("Add Label")%>" maxlength="15" >
 			</fieldset>
 		</div>
@@ -14,29 +14,29 @@
 <div class="configure-label-content">
 	<fieldset>
-	<legend>Básico</legend>
-		Nome do marcador: <input type="text" class="input-nome" value="" name="marcador">
+	<legend><%= get_lang("Basic")%></legend>
+		<%= get_lang("Label name")%>: <input type="text" class="input-nome" value="" name="marcador">
 		<input type="hidden" class="edit-label" value="" name="marcador">
 	</fieldset>
 	  <fieldset class="lebals-colorpicker">
-	  <legend>Cor do marcador</legend>
+	  <legend><%= get_lang("Marker Color")%></legend>
 		<div class="label-conf">
 			<select class="color-suggestions">		
-				  <option value="0">Padrão</option>		
-				  <option value="1">Coala</option>		
-				  <option value="2">Tomate</option>		
-				  <option value="3">Limão</option>		
-				  <option value="4">Alto contraste</option>		
-				  <option value="custom" selected="selected">Personalizada</option>
+				  <option value="0"><%= get_lang("Default")%></option>		
+				  <option value="1"><%= get_lang("Coala")%></option>		
+				  <option value="2"><%= get_lang("Tomato")%></option>		
+				  <option value="3"><%= get_lang("Lemon")%></option>		
+				  <option value="4"><%= get_lang("high Contrast")%></option>		
+				  <option value="custom" selected="selected"><%= get_lang("Custom")%></option>
 			</select>
 			<div class="form-item">
-			  <label for="backgroundColor" class="label-cor">Cor do marcador:</label>
+			  <label for="backgroundColor" class="label-cor"><%= get_lang("Marker Color")%>:</label>
 			  <input type="text" name="backgroundColor" id="background" class="colorwell" value="#ebebeb" />
 			</div>
 			<div class="form-item">
-			  <label for="fontColor" class="label-cor">Cor do texto:</label>
+			  <label for="fontColor" class="label-cor"><%= get_lang("Text color")%>:</label>
 			  <input type="text" name="fontColor" class="colorwell" value="#000000" />
 			</div>
 			<div class="form-item">
-			  <label for="borderColor" class="label-cor">Cor da borda:</label>
+			  <label for="borderColor" class="label-cor"><%= get_lang("Border color")%>:</label>
 			  <input type="text" name="borderColor" class="colorwell" value="#000000" />
 			</div>			  
@@ -48,5 +48,5 @@
 	  </fieldset>
 	<div class="buttons">
-		<span class="button delete-label">Excluir</span><span class="button undo-label">Desfazer</span><span class="button save-label">Salvar</span>
+		<span class="button delete-label"><%= get_lang("Delete")%></span><span class="button undo-label"><%= get_lang("Undo")%></span><span class="button save-label"><%= get_lang("Save")%></span>
 	</div>
 </div>
Index: /trunk/prototype/modules/mail/templates/followupflag_configure.ejs
===================================================================
--- /trunk/prototype/modules/mail/templates/followupflag_configure.ejs	(revision 5533)
+++ /trunk/prototype/modules/mail/templates/followupflag_configure.ejs	(revision 5544)
@@ -45,7 +45,7 @@
 <div class="followupflag-container">
 	<fieldset class="basic-fields">
-		<legend>Básico</legend>
+		<legend><%= get_lang("Basic")%></legend>
 		<div class="followupflag-configure">
-			<label class="label-name">Sinalizar como:</label> 
+			<label class="label-name"><%= get_lang("Flag as")%>:</label> 
 			<select name="name">
 				<% for(var i=0; i<data.followupflags.length; i++) {  %>
@@ -56,14 +56,14 @@
 			</select>
 			<div class="alarm-fields">
-				<input type="checkbox" name="alarm" <%=(followupflagged.alarmDeadline) ? 'checked="checked"' : '' %> /><label>Alarme: </label>
+				<input type="checkbox" name="alarm" <%=(followupflagged.alarmDeadline) ? 'checked="checked"' : '' %> /><label><%= get_lang("Alarm")%>: </label>
 				<input type="text" name="alarmDate" class="date" size="9" value="<%=(followupflagged.alarmDeadline) ? followupflagged.alarmDeadline.toString('dd/MM/yyyy') : '' %>" /> ás 
 				<input type="text" name="alarmTime" class="time" size="8" value="<%=(followupflagged.alarmDeadline) ? followupflagged.alarmDeadline.toString('hh:mm') : '' %>" />
 			</div>		
 		   <div class="completed-followup">
-				<input type="checkbox" name="done" <%=(followupflagged.isDone && followupflagged.isDone != '0') ? 'checked="checked"' : '' %> /><label>Concluido</label>
+				<input type="checkbox" name="done" <%=(followupflagged.isDone && followupflagged.isDone != '0') ? 'checked="checked"' : '' %> /><label><%= get_lang("Basic")%>Concluido</label>
 		   </div>		
 		</div>
 		<div class="right-data input-done">
-			<label>Conclusão:</label>
+			<label><%= get_lang("Conclusion")%>:</label>
 			<input <%=(followupflagged.isDone && followupflagged.isDone != '0') ? 'disabled="disabled"' : '' %> type="text" name="doneDate" class="date" size="8" value="<%=(followupflagged.doneDeadline) ? followupflagged.doneDeadline.toString('dd/MM/yyyy') : '' %>" /> ás 
 			<input <%=(followupflagged.isDone && followupflagged.isDone != '0') ? 'disabled="disabled"' : '' %> type="text" name="doneTime" class="time" size="8" value="<%=(followupflagged.doneDeadline) ? followupflagged.doneDeadline.toString('hh:mm') : '' %>" />
@@ -72,5 +72,5 @@
 
 	<fieldset class="followups-colorpicker color-fields">
-		<legend>Cor do sinalizador</legend>
+		<legend><%= get_lang("Flag color")%></legend>
 		<div class="left-seletor-flag">
 			<% 
@@ -87,6 +87,6 @@
 			%>
 			<select id="selectCor" name="setColor">
-				<option value="default" <%= (defaultColor) ? 'selected="selected"' : ''%> >Padrão</option>
-				<option value="custom" <%= (!defaultColor) ? 'selected="selected"' : ''%> >Personalizado</option>
+				<option value="default" <%= (defaultColor) ? 'selected="selected"' : ''%> ><%= get_lang("Default")%></option>
+				<option value="custom" <%= (!defaultColor) ? 'selected="selected"' : ''%> ><%= get_lang("Custom")%></option>
 			</select>
 		</div>
@@ -100,5 +100,5 @@
 		<div class="followupflag-color-fields">
 			<div class="form-item">
-				<label class="flag-label">Cor: </label>
+				<label class="flag-label"><%= get_lang("Color")%>: </label>
 				<input type="text" name="backgroundColor" class="colorwell background-color" value="<%=(followupflagged.backgroundColor) ? followupflagged.backgroundColor : '#00820F' %>"/>
 				<div class="flag-edit flag-color-preview" style="background: <%=(followupflagged.backgroundColor) ? followupflagged.backgroundColor : '#00820F' %>">
@@ -110,7 +110,7 @@
 	</fieldset>
 	<div class="menu-container footer-container menu-configure-followupflag">
-		<span class="button delete">Remover</span>
-		<span class="button save">Aplicar</span>
-		<span class="button cancel">Cancelar</span>
+		<span class="button delete"><%= get_lang("Delete")%></span>
+		<span class="button save"><%= get_lang("Apply")%></span>
+		<span class="button cancel"><%= get_lang("Cancel")%></span>
 	</div>
 </div> 
Index: /trunk/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- /trunk/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 5527)
+++ /trunk/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 5544)
@@ -142,4 +142,6 @@
 Edit filters	expressoMail1_2	pt-br	Editar Filtros
 Edit folders	expressoMail1_2	pt-br	Editar Pastas
+Labels	expressoMail1_2	pt-br	Marcadores
+Follow up	expressoMail1_2	pt-br	Acompanhamento
 E-mail rule	expressoMail1_2	pt-br	regra do email
 Emails of the account	expressoMail1_2	pt-br	Emails da conta
@@ -202,4 +204,5 @@
 Friday	expressoMail1_2	pt-br	Sexta-feira
 From: 	expressoMail1_2	pt-br	De:
+Labels: 	expressoMail1_2	pt-br	Marcadores:
 From	expressoMail1_2	pt-br	De
 Global Catalog	expressoMail1_2	pt-br	Catálogo Geral
@@ -772,2 +775,28 @@
 Thie folder is already in this place	expressoMail1_2	pt-br	A pasta já esta neste local
 Delete/move subfolders first	expressoMail1_2	pt-br	Delete/mova suas subpastas primeiro
+My markers	expressoMail1_2	pt-br	Meus marcadores 
+Basic	expressoMail1_2	pt-br	Básico 
+Label name	expressoMail1_2	pt-br	 Nome do marcador 
+Marker Color	expressoMail1_2	pt-br	Cor do marcador 
+Default	expressoMail1_2	pt-br	Padrão 
+Coala	expressoMail1_2	pt-br	Coala 
+Tomato	expressoMail1_2	pt-br	Tomate 
+Lemon	expressoMail1_2	pt-br	Limão 
+high Contrast	expressoMail1_2	pt-br	Alto contraste 
+Custom	expressoMail1_2	pt-br	Personalizado 
+Text color	expressoMail1_2	pt-br	Cor do texto 
+Border color	expressoMail1_2	pt-br	Cor da borda 
+Add Label	expressoMail1_2	pt-br	Adicionar Marcador 
+Delete	expressoMail1_2	pt-br	Excluir 
+Undo	expressoMail1_2	pt-br	Desfazer 
+Save	expressoMail1_2	pt-br	Salvar 
+Close	expressoMail1_2	pt-br	Fechar
+Flag as	expressoMail1_2	pt-br	Sinalizar como
+Alarm	expressoMail1_2	pt-br	Alarme
+Conclusion	expressoMail1_2	pt-br	Conclusão
+Flag color	expressoMail1_2	pt-br	Cor do sinalizador
+Color	expressoMail1_2	pt-br	Cor
+Apply	expressoMail1_2	pt-br	Aplicar
+Cancel	expressoMail1_2	pt-br	Cancelar
+Color	expressoMail1_2	pt-br	Cor
+ 
Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 5540)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 5544)
@@ -343,5 +343,5 @@
 	.append("<div class='my-labels'>" +
 				"<img src='../prototype/modules/mail/img/tag.png'/>" +
-				"<a class='title-my-labels' tabindex='0' role='button' aria-expanded='false' title='Meus marcadores'>Meus marcadores</a>" +
+				"<a class='title-my-labels' tabindex='0' role='button' aria-expanded='false' title='"+get_lang("My markers")+"'>"+get_lang("My markers")+"</a>" +
 				
 				"<span class='status-list-labels ui-icon ui-icon-triangle-1-s'></span>" +
@@ -3053,5 +3053,5 @@
 			backgroundColor = labels[i].label.backgroundColor;
 			nameLabel = labels[i].label.name;
-			markers.innerHTML+= "<div  style='width: 130px; height: 15px; background:"+backgroundColor+"; float: left; -webkit-border-radius: 3px; -moz-border-radius: 3px; margin:0 0 5px 5px; border: 1px solid "+borderColor+"'><span style='color: "+fontColor+"; margin: 5px;'>"+nameLabel+"</a></div>";
+			markers.innerHTML+= "<div  style='width: 130px; height: 15px; background:"+backgroundColor+"; float: left; -webkit-border-radius: 3px; -moz-border-radius: 3px; margin:0 0 1px 1px; border: 1px solid "+borderColor+"'><span style='color: "+fontColor+"; margin: 5px;'>"+nameLabel+"</a></div>";
 			
 		}